<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:36 UTC 2019 -->
<title>SupportCompositeFragment (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SupportCompositeFragment (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":42,"i1":42,"i2":42,"i3":42,"i4":42,"i5":42,"i6":42,"i7":42,"i8":42,"i9":42,"i10":42,"i11":42,"i12":42,"i13":42,"i14":42,"i15":42,"i16":42,"i17":42,"i18":42,"i19":42,"i20":42,"i21":42,"i22":42,"i23":42,"i24":42,"i25":42,"i26":42,"i27":42,"i28":42};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SupportCompositeFragment.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/ar/SupportCompositeFragment.html" target="_top">Frames</a></li>
<li><a href="SupportCompositeFragment.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.classes.inherited.from.class.android.support.v4.app.Fragment">Nested</a> | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.ar</div>
<h2 title="Class SupportCompositeFragment" class="title">Class SupportCompositeFragment</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>android.support.v4.app.Fragment</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.ar.SupportCompositeFragment</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>android.arch.lifecycle.LifecycleOwner, android.arch.lifecycle.ViewModelStoreOwner, android.content.ComponentCallbacks, android.view.View.OnCreateContextMenuListener, com.nokia.maps.MapUi</dd>
</dl>
<hr>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> 
<div class="block"><span class="deprecationComment">As of SDK 3.13. Use <a href="../../../../../com/here/android/mpa/ar/AndroidXCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>AndroidXCompositeFragment</code></a> that extends
 <code>Fragment</code> from the support library.</span></div>
</div>
<br>
<pre>@Deprecated
public class <span class="typeNameLabel">SupportCompositeFragment</span>
extends android.support.v4.app.Fragment
implements com.nokia.maps.MapUi</pre>
<div class="block">Composite fragment which enables usage of AR and Map functionality within the same view context.
 This class contains methods which are specific to Map as well as methods specific to AR.
 Concretely, provides the same functionality as <a href="../../../../../com/here/android/mpa/mapping/AndroidXMapFragment.html" title="class in com.here.android.mpa.mapping"><code>AndroidXMapFragment</code></a> in addition to AR
 functionality.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/AndroidXMapFragment.html" title="class in com.here.android.mpa.mapping"><code>AndroidXMapFragment</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.android.support.v4.app.Fragment">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class android.support.v4.app.Fragment</h3>
<code>android.support.v4.app.Fragment.InstantiationException, android.support.v4.app.Fragment.SavedState</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#SupportCompositeFragment--">SupportCompositeFragment</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Constructor</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#addOnMapRenderListener-com.here.android.mpa.mapping.OnMapRenderListener-">addOnMapRenderListener</a></span>(<a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a> listener)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Adds a <a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping"><code>OnMapRenderListener</code></a> to listen for map render events.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.html" title="class in com.here.android.mpa.ar">ARController</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#getARController--">getARController</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Get <a href="../../../../../com/here/android/mpa/ar/ARController.html" title="class in com.here.android.mpa.ar"><code>ARController</code></a></div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#getClipRect--">getClipRect</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the <a href="../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common"><code>ViewRect</code></a> representing the clip
 rectangle for this <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>android.graphics.Rect</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#getCopyrightBoundaryRect--">getCopyrightBoundaryRect</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the current HERE copyright logo's boundary rectangle.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#getCopyrightLogoHeight--">getCopyrightLogoHeight</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the height of the copyright logo.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/CopyrightLogoPosition.html" title="enum in com.here.android.mpa.common">CopyrightLogoPosition</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#getCopyrightLogoPosition--">getCopyrightLogoPosition</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the on-screen position of the HERE copyright logo as a
 <a href="../../../../../com/here/android/mpa/common/CopyrightLogoPosition.html" title="enum in com.here.android.mpa.common"><code>CopyrightLogoPosition</code></a> value.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#getCopyrightLogoWidth--">getCopyrightLogoWidth</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the width of the copyright logo.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#getCopyrightMargin--">getCopyrightMargin</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the current margin for the HERE copyright logo, in number of pixels, as an offset
 from the edge of the visible map area to the edge of the logo.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#getHeight--">getHeight</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the current height of the fragment, in pixels.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping">Map</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#getMap--">getMap</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the instance of <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> associated with this fragment</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.html" title="interface in com.here.android.mpa.mapping">MapGesture</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#getMapGesture--">getMapGesture</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the <a href="../../../../../com/here/android/mpa/mapping/MapGesture.html" title="interface in com.here.android.mpa.mapping"><code>MapGesture</code></a> object representing the current gesture handler for the
 <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a>.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#getScreenCapture-com.here.android.mpa.common.OnScreenCaptureListener-">getScreenCapture</a></span>(<a href="../../../../../com/here/android/mpa/common/OnScreenCaptureListener.html" title="interface in com.here.android.mpa.common">OnScreenCaptureListener</a> listener)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the full screen bitmap for the <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a>.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#getWidth--">getWidth</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the current width of the fragment, in pixels.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#init-com.here.android.mpa.common.ApplicationContext-com.here.android.mpa.common.OnEngineInitListener-">init</a></span>(<a href="../../../../../com/here/android/mpa/common/ApplicationContext.html" title="class in com.here.android.mpa.common">ApplicationContext</a> context,
    <a href="../../../../../com/here/android/mpa/common/OnEngineInitListener.html" title="interface in com.here.android.mpa.common">OnEngineInitListener</a> listener)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Users of <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a> must call this function after the fragment is
 first attached to its activity.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#init-com.here.android.mpa.common.OnEngineInitListener-">init</a></span>(<a href="../../../../../com/here/android/mpa/common/OnEngineInitListener.html" title="interface in com.here.android.mpa.common">OnEngineInitListener</a> listener)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Users of <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a> must call this function after the fragment is
 first attached to its activity.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>android.view.View</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#onCreateView-android.view.LayoutInflater-android.view.ViewGroup-android.os.Bundle-">onCreateView</a></span>(android.view.LayoutInflater inflater,
            android.view.ViewGroup container,
            android.os.Bundle savedInstanceState)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
 </td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#onDestroyView--">onDestroyView</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
 </td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#onInflate-android.content.Context-android.util.AttributeSet-android.os.Bundle-">onInflate</a></span>(android.content.Context context,
         android.util.AttributeSet attrs,
         android.os.Bundle savedInstanceState)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
 </td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#onPause--">onPause</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Called when this fragment is no longer resumed.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#onResume--">onResume</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Called when this fragment is visible to the user and actively running.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#onSaveInstanceState-android.os.Bundle-">onSaveInstanceState</a></span>(android.os.Bundle outState)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
 </td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#removeOnMapRenderListener-com.here.android.mpa.mapping.OnMapRenderListener-">removeOnMapRenderListener</a></span>(<a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a> listener)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Removes an existing <a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping"><code>OnMapRenderListener</code></a>.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#setClipRect-com.here.android.mpa.common.ViewRect-">setClipRect</a></span>(<a href="../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a clipping rectangle to this <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a>.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#setClipRect-com.here.android.mpa.common.ViewRect-android.graphics.PointF-">setClipRect</a></span>(<a href="../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect,
           android.graphics.PointF transformCenter)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a clipping rectangle to the <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a>.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#setCopyrightBoundaryRect-android.graphics.Rect-">setCopyrightBoundaryRect</a></span>(android.graphics.Rect rect)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a rectangle, in pixels, relative to the top left corner of the
 <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a> 's boundary, for the placement of the HERE copyright logo.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#setCopyrightLogoPosition-com.here.android.mpa.common.CopyrightLogoPosition-">setCopyrightLogoPosition</a></span>(<a href="../../../../../com/here/android/mpa/common/CopyrightLogoPosition.html" title="enum in com.here.android.mpa.common">CopyrightLogoPosition</a> position)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a position for the HERE copyright logo.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#setCopyrightMargin-int-">setCopyrightMargin</a></span>(int margin)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a margin for the HERE copyright logo, in number of pixels, as an offset from the edge
 of the visible map area to the edge of the logo (depending on the placement).</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#setMapMarkerDragListener-com.here.android.mpa.mapping.MapMarker.OnDragListener-">setMapMarkerDragListener</a></span>(<a href="../../../../../com/here/android/mpa/mapping/MapMarker.OnDragListener.html" title="interface in com.here.android.mpa.mapping">MapMarker.OnDragListener</a> listener)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a <a href="../../../../../com/here/android/mpa/mapping/MapMarker.OnDragListener.html" title="interface in com.here.android.mpa.mapping"><code>OnDragListener</code></a> to be
 invoked whenever any <a href="../../../../../com/here/android/mpa/mapping/MapMarker.html" title="class in com.here.android.mpa.mapping"><code>MapMarker</code></a> on a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> that is attached to this fragment
 is dragged.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#setOnTouchListener-android.view.View.OnTouchListener-">setOnTouchListener</a></span>(android.view.View.OnTouchListener listener)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets an <code>View.OnTouchListener</code> to be invoked whenever a touch event is sent to the
 <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.support.v4.app.Fragment">
<!--   -->
</a>
<h3>Methods inherited from class android.support.v4.app.Fragment</h3>
<code>dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLayoutInflater, getLifecycle, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, getViewLifecycleOwner, getViewLifecycleOwnerLiveData, getViewModelStore, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimation, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onStart, onStop, onViewCreated, onViewStateRestored, postponeEnterTransition, registerForContextMenu, requestPermissions, requireActivity, requireContext, requireFragmentManager, requireHost, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SupportCompositeFragment--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SupportCompositeFragment</h4>
<pre>public SupportCompositeFragment()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Constructor</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init-com.here.android.mpa.common.OnEngineInitListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public void init(<a href="../../../../../com/here/android/mpa/common/OnEngineInitListener.html" title="interface in com.here.android.mpa.common">OnEngineInitListener</a> listener)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Users of <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a> must call this function after the fragment is
 first attached to its activity. This automatically initializes the
 <a href="../../../../../com/here/android/mpa/common/MapEngine.html" title="class in com.here.android.mpa.common"><code>MapEngine</code></a> and creates an <a href="../../../../../com/here/android/mpa/ar/ARController.html" title="class in com.here.android.mpa.ar"><code>ARController</code></a>
 for use. This method is a convenience method that can be used for fragments embedded in a
 layout XML. This method should not be used when programmatically creating an
 <code>SupportCompositeFragment</code>.
 <p>
 This method will initialize <code>MapEngine</code> with <a href="../../../../../com/here/android/mpa/common/MapEngine.MapVariant.html#GLOBAL"><code>MapEngine.MapVariant.GLOBAL</code></a> map variant
 on first SDK usage and with stored map variant on sub-sequent usages.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - A <a href="../../../../../com/here/android/mpa/common/OnEngineInitListener.html" title="interface in com.here.android.mpa.common"><code>OnEngineInitListener</code></a>
            object that will be called when <code>SupportCompositeFragment</code> and
            <code>MapEngine</code> initialization is finished. A <code>null</code> object can be
            supplied if callers do not expect any notification when initialization completes.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/common/OnEngineInitListener.html" title="interface in com.here.android.mpa.common"><code>OnEngineInitListener</code></a>, 
<a href="../../../../../com/here/android/mpa/common/MapEngine.html#init-com.here.android.mpa.common.ApplicationContext-com.here.android.mpa.common.OnEngineInitListener-"><code>MapEngine.init(ApplicationContext,OnEngineInitListener)</code></a>, 
<a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#init-com.here.android.mpa.common.ApplicationContext-com.here.android.mpa.common.OnEngineInitListener-"><code>SupportCompositeFragment.init(ApplicationContext, com.here.android.mpa.common.OnEngineInitListener)</code></a></dd>
</dl>
</li>
</ul>
<a name="init-com.here.android.mpa.common.ApplicationContext-com.here.android.mpa.common.OnEngineInitListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public void init(<a href="../../../../../com/here/android/mpa/common/ApplicationContext.html" title="class in com.here.android.mpa.common">ApplicationContext</a> context,
                 <a href="../../../../../com/here/android/mpa/common/OnEngineInitListener.html" title="interface in com.here.android.mpa.common">OnEngineInitListener</a> listener)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Users of <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a> must call this function after the fragment is
 first attached to its activity. This automatically initializes the
 <a href="../../../../../com/here/android/mpa/common/MapEngine.html" title="class in com.here.android.mpa.common"><code>MapEngine</code></a> and creates an <a href="../../../../../com/here/android/mpa/ar/ARController.html" title="class in com.here.android.mpa.ar"><code>ARController</code></a>
 for use. This method is a convenience method that can be used for fragments embedded in a
 layout XML. This method should not be used when programmatically creating an
 <code>SupportCompositeFragment</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>context</code> - <code>ApplicationContext</code> to be used during initialization.</dd>
<dd><code>listener</code> - A <a href="../../../../../com/here/android/mpa/common/OnEngineInitListener.html" title="interface in com.here.android.mpa.common"><code>OnEngineInitListener</code></a>
            object that will be called when <code>SupportCompositeFragment</code> and
            <code>MapEngine</code> initialization is finished. A <code>null</code> object can be
            supplied if callers do not expect any notification when initialization completes.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/common/OnEngineInitListener.html" title="interface in com.here.android.mpa.common"><code>OnEngineInitListener</code></a>, 
<a href="../../../../../com/here/android/mpa/common/MapEngine.html#init-com.here.android.mpa.common.ApplicationContext-com.here.android.mpa.common.OnEngineInitListener-"><code>MapEngine.init(
      com.here.android.mpa.common.ApplicationContext,
      com.here.android.mpa.common.OnEngineInitListener)</code></a>, 
<a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#init-com.here.android.mpa.common.ApplicationContext-com.here.android.mpa.common.OnEngineInitListener-"><code>SupportCompositeFragment.init(ApplicationContext, OnEngineInitListener)</code></a></dd>
</dl>
</li>
</ul>
<a name="onCreateView-android.view.LayoutInflater-android.view.ViewGroup-android.os.Bundle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onCreateView</h4>
<pre>public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                      android.view.ViewGroup container,
                                      android.os.Bundle savedInstanceState)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onCreateView</code> in class <code>android.support.v4.app.Fragment</code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
<dd>android.support.v4.app.Fragment.onCreateView(LayoutInflater, viewGrup, Bundle)</dd>
</dl>
</li>
</ul>
<a name="onInflate-android.content.Context-android.util.AttributeSet-android.os.Bundle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onInflate</h4>
<pre>public void onInflate(android.content.Context context,
                      android.util.AttributeSet attrs,
                      android.os.Bundle savedInstanceState)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onInflate</code> in class <code>android.support.v4.app.Fragment</code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
<dd>android.support.v4.app.Fragment.onInflate(Context, AttributeSet, Bundle)</dd>
</dl>
</li>
</ul>
<a name="onResume--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onResume</h4>
<pre>public void onResume()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Called when this fragment is visible to the user and actively running. All <a href="../../../../../com/here/android/mpa/common/MapEngine.html" title="class in com.here.android.mpa.common"><code>MapEngine</code></a>
 activities will be resumed automatically.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onResume</code> in class <code>android.support.v4.app.Fragment</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>Fragment.onResume()</code></dd>
</dl>
</li>
</ul>
<a name="onPause--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onPause</h4>
<pre>public void onPause()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Called when this fragment is no longer resumed. All <a href="../../../../../com/here/android/mpa/common/MapEngine.html" title="class in com.here.android.mpa.common"><code>MapEngine</code></a> activities will be
 paused automatically.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onPause</code> in class <code>android.support.v4.app.Fragment</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>Fragment.onPause()</code></dd>
</dl>
</li>
</ul>
<a name="onDestroyView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onDestroyView</h4>
<pre>public void onDestroyView()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onDestroyView</code> in class <code>android.support.v4.app.Fragment</code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
<dd><a href="https://developer.android.com/reference/android/support/v4/app/Fragment.html#onDestroyView%28%29">
 android.support.v4.app.Fragment.onDestroyView()</a></dd>
</dl>
</li>
</ul>
<a name="setOnTouchListener-android.view.View.OnTouchListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOnTouchListener</h4>
<pre>public void setOnTouchListener(android.view.View.OnTouchListener listener)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets an <code>View.OnTouchListener</code> to be invoked whenever a touch event is sent to the
 <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setOnTouchListener</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - An <code>View.OnTouchListener</code> to set for the <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://developer.android.com/reference/android/view/View.OnTouchListener.html" target="_blank">android.view.View.OnTouchListener</a></dd>
</dl>
</li>
</ul>
<a name="getARController--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getARController</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.html" title="class in com.here.android.mpa.ar">ARController</a> getARController()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Get <a href="../../../../../com/here/android/mpa/ar/ARController.html" title="class in com.here.android.mpa.ar"><code>ARController</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ARController object</dd>
</dl>
</li>
</ul>
<a name="getWidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWidth</h4>
<pre>public int getWidth()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the current width of the fragment, in pixels.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current width</dd>
</dl>
</li>
</ul>
<a name="getHeight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeight</h4>
<pre>public int getHeight()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the current height of the fragment, in pixels.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current height</dd>
</dl>
</li>
</ul>
<a name="onSaveInstanceState-android.os.Bundle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onSaveInstanceState</h4>
<pre>public void onSaveInstanceState(android.os.Bundle outState)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onSaveInstanceState</code> in class <code>android.support.v4.app.Fragment</code></dd>
</dl>
</li>
</ul>
<a name="getScreenCapture-com.here.android.mpa.common.OnScreenCaptureListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScreenCapture</h4>
<pre>public void getScreenCapture(<a href="../../../../../com/here/android/mpa/common/OnScreenCaptureListener.html" title="interface in com.here.android.mpa.common">OnScreenCaptureListener</a> listener)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the full screen bitmap for the <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a>. This method is
 asynchronous and will invoke a callback once the operation is completed through the
 operation is completed through the
 <a href="../../../../../com/here/android/mpa/common/OnScreenCaptureListener.html" title="interface in com.here.android.mpa.common"><code>OnScreenCaptureListener</code></a>
 the <code>SupportCompositeFragment</code> must be visible to create the screen capture.
 Note that the current functionality of this API is limited to getting a screen capture of
 the Map. Future releases maybe enhanced to support getting screen capture of the AR and Map
 composite.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - A <code>OnScreenCaptureListener</code> to listen for the callback when screen capture
            is complete.</dd>
</dl>
</li>
</ul>
<a name="getMap--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMap</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping">Map</a> getMap()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the instance of <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> associated with this fragment</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getMap</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>Map</code> object currently displayed in this fragment.</dd>
</dl>
</li>
</ul>
<a name="getClipRect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClipRect</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> getClipRect()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the <a href="../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common"><code>ViewRect</code></a> representing the clip
 rectangle for this <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getClipRect</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The clip rectangle for rendering <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a>s and similar map-related screen elements. <code>null</code> if the view's
         layout process has yet to be completed. If the process is not yet
         complete, users can either retry later or subscribe as a
         <a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping"><code>OnMapRenderListener</code></a> and
         call this method upon the callback
         <a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html#onSizeChanged-int-int-"><code>OnMapRenderListener.onSizeChanged(int,int)</code></a>.</dd>
</dl>
</li>
</ul>
<a name="setClipRect-com.here.android.mpa.common.ViewRect-android.graphics.PointF-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClipRect</h4>
<pre>public void setClipRect(<a href="../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect,
                        android.graphics.PointF transformCenter)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a clipping rectangle to the <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a>. Only the area specified
 by the <a href="../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common"><code>ViewRect</code></a> will be used for rendering,
 while the rest of the view will be masked in black. This rectangle will be reset to the
 full size of the <code>SupportCompositeFragment</code> upon screen rotation or upon recreating
 the screen.
 <p>
 Note that setting a clipping rectangle will also reset the
 <code>SupportCompositeFragment</code>'s viewing rectangle to its full default size.
 </p>
 <p>
 If the <code>ViewRect</code> is not valid, this method does nothing.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setClipRect</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rect</code> - A <code>ViewRect</code> for rendering <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a>s and similar map-related screen elements</dd>
<dd><code>transformCenter</code> - A <code>PointF</code> representing the center coordinate for map transformations such
            as zooming and rotation</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#setClipRect-com.here.android.mpa.common.ViewRect-"><code>SupportCompositeFragment.setClipRect(ViewRect)</code></a></dd>
</dl>
</li>
</ul>
<a name="setClipRect-com.here.android.mpa.common.ViewRect-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClipRect</h4>
<pre>public void setClipRect(<a href="../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a clipping rectangle to this <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a>. Only the area specified
 by the <a href="../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common"><code>ViewRect</code></a> will be used for rendering,
 while the rest of the view will be masked in black. This rectangle will be reset to the
 full size of the <code>SupportCompositeFragment</code> upon screen rotation or upon recreating
 the screen.
 <p>
 If the <code>ViewRect</code> is not valid, this method does nothing.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setClipRect</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rect</code> - A <code>ViewRect</code> for rendering <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a>s and similar map-related screen elements</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#setClipRect-com.here.android.mpa.common.ViewRect-android.graphics.PointF-"><code>SupportCompositeFragment.setClipRect(ViewRect, PointF)</code></a></dd>
</dl>
</li>
</ul>
<a name="getCopyrightBoundaryRect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCopyrightBoundaryRect</h4>
<pre>public android.graphics.Rect getCopyrightBoundaryRect()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the current HERE copyright logo's boundary rectangle. Returns <code>null</code> if a
 boundary rect has not been set previously.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getCopyrightBoundaryRect</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The copyright logo's boundary rect. <code>null</code> if a boundary rect has not been set
         previously.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#setCopyrightBoundaryRect-android.graphics.Rect-"><code>SupportCompositeFragment.setCopyrightBoundaryRect(Rect)</code></a></dd>
</dl>
</li>
</ul>
<a name="setCopyrightBoundaryRect-android.graphics.Rect-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCopyrightBoundaryRect</h4>
<pre>public void setCopyrightBoundaryRect(android.graphics.Rect rect)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a rectangle, in pixels, relative to the top left corner of the
 <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a> 's boundary, for the placement of the HERE copyright logo.
 <p>
 If the specified rectangle is not contained completely within the current visible map area,
 their area of intersection will be used instead of the specified rectangle's area. The
 copyright logo and copyright margin must fit into the rectangle, otherwise specified
 rectangle will be ignored.
 </p>
 <p>
 The rectangle is reset upon screen rotation or upon screen re-creation, or it can be done
 by setting a <code>null</code>-<code>android.graphics.Rect</code>.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setCopyrightBoundaryRect</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rect</code> - A <code>android.graphics.Rect</code> representing the desired rectangular container
            to be used for positioning the copyright logo. Use <code>null</code>
            <code>android.graphics.Rect</code> to reset the boundary container.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if <code>android.graphics.Rect</code> supplied is invalid</dd>
</dl>
</li>
</ul>
<a name="getCopyrightMargin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCopyrightMargin</h4>
<pre>public int getCopyrightMargin()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the current margin for the HERE copyright logo, in number of pixels, as an offset
 from the edge of the visible map area to the edge of the logo.
 <p>
 This method only returns a valid value once fragment initialization has taken place.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getCopyrightMargin</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current offset from the edge of the <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a>, in number
 of pixels</dd>
</dl>
</li>
</ul>
<a name="setCopyrightMargin-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCopyrightMargin</h4>
<pre>public void setCopyrightMargin(int margin)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a margin for the HERE copyright logo, in number of pixels, as an offset from the edge
 of the visible map area to the edge of the logo (depending on the placement).</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setCopyrightMargin</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>margin</code> - Desired offset from the edge of the <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a></dd>
</dl>
</li>
</ul>
<a name="getCopyrightLogoWidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCopyrightLogoWidth</h4>
<pre>public int getCopyrightLogoWidth()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the width of the copyright logo.
 <p>
 This method only returns a valid value once fragment initialization has completed.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getCopyrightLogoWidth</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The width of the copyright logo, in number of pixels</dd>
</dl>
</li>
</ul>
<a name="getCopyrightLogoHeight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCopyrightLogoHeight</h4>
<pre>public int getCopyrightLogoHeight()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the height of the copyright logo.
 <p>
 This method only returns a valid value once fragment initialization has taken completed.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getCopyrightLogoHeight</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The height of the copyright logo, in number of pixels</dd>
</dl>
</li>
</ul>
<a name="getCopyrightLogoPosition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCopyrightLogoPosition</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/CopyrightLogoPosition.html" title="enum in com.here.android.mpa.common">CopyrightLogoPosition</a> getCopyrightLogoPosition()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the on-screen position of the HERE copyright logo as a
 <a href="../../../../../com/here/android/mpa/common/CopyrightLogoPosition.html" title="enum in com.here.android.mpa.common"><code>CopyrightLogoPosition</code></a> value.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getCopyrightLogoPosition</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The position of the logo.</dd>
</dl>
</li>
</ul>
<a name="setCopyrightLogoPosition-com.here.android.mpa.common.CopyrightLogoPosition-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCopyrightLogoPosition</h4>
<pre>public void setCopyrightLogoPosition(<a href="../../../../../com/here/android/mpa/common/CopyrightLogoPosition.html" title="enum in com.here.android.mpa.common">CopyrightLogoPosition</a> position)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a position for the HERE copyright logo. The current default is to place the logo at
 the center-bottom of the visible map view area.
 <p>
 After the logo's position is set, the position stays effective even when the screen is
 rotated or re-created.
 </p>
 <p></p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setCopyrightLogoPosition</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - A <a href="../../../../../com/here/android/mpa/common/CopyrightLogoPosition.html" title="enum in com.here.android.mpa.common"><code>CopyrightLogoPosition</code></a>
            value representing the desired placement of the HERE copyright logo with respect
            to the visible map view area</dd>
</dl>
</li>
</ul>
<a name="getMapGesture--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMapGesture</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapGesture.html" title="interface in com.here.android.mpa.mapping">MapGesture</a> getMapGesture()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the <a href="../../../../../com/here/android/mpa/mapping/MapGesture.html" title="interface in com.here.android.mpa.mapping"><code>MapGesture</code></a> object representing the current gesture handler for the
 <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a>. Applications can intercept this object and override the
 default event behaviors.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getMapGesture</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="../../../../../com/here/android/mpa/mapping/MapGesture.html" title="interface in com.here.android.mpa.mapping"><code>MapGesture</code></a></dd>
</dl>
</li>
</ul>
<a name="addOnMapRenderListener-com.here.android.mpa.mapping.OnMapRenderListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addOnMapRenderListener</h4>
<pre>public void addOnMapRenderListener(<a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a> listener)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Adds a <a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping"><code>OnMapRenderListener</code></a> to listen for map render events.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>addOnMapRenderListener</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - A <code>OnMapRenderListener</code> to add to the <code>SupportCompositeFragment</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#removeOnMapRenderListener-com.here.android.mpa.mapping.OnMapRenderListener-"><code>SupportCompositeFragment.removeOnMapRenderListener(OnMapRenderListener)</code></a></dd>
</dl>
</li>
</ul>
<a name="removeOnMapRenderListener-com.here.android.mpa.mapping.OnMapRenderListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeOnMapRenderListener</h4>
<pre>public void removeOnMapRenderListener(<a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a> listener)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Removes an existing <a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping"><code>OnMapRenderListener</code></a>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>removeOnMapRenderListener</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - A <code>OnMapRenderListener</code> to remove from the <code>SupportCompositeFragment</code></dd>
</dl>
</li>
</ul>
<a name="setMapMarkerDragListener-com.here.android.mpa.mapping.MapMarker.OnDragListener-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setMapMarkerDragListener</h4>
<pre>public void setMapMarkerDragListener(<a href="../../../../../com/here/android/mpa/mapping/MapMarker.OnDragListener.html" title="interface in com.here.android.mpa.mapping">MapMarker.OnDragListener</a> listener)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a <a href="../../../../../com/here/android/mpa/mapping/MapMarker.OnDragListener.html" title="interface in com.here.android.mpa.mapping"><code>OnDragListener</code></a> to be
 invoked whenever any <a href="../../../../../com/here/android/mpa/mapping/MapMarker.html" title="class in com.here.android.mpa.mapping"><code>MapMarker</code></a> on a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> that is attached to this fragment
 is dragged.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setMapMarkerDragListener</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - An <a href="../../../../../com/here/android/mpa/mapping/MapMarker.OnDragListener.html" title="interface in com.here.android.mpa.mapping"><code>MapMarker.OnDragListener</code></a> to set for this <a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SupportCompositeFragment.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/ar/LineAttributes.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/ar/SupportCompositeFragment.html" target="_top">Frames</a></li>
<li><a href="SupportCompositeFragment.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.classes.inherited.from.class.android.support.v4.app.Fragment">Nested</a> | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
